## dhis-client 5.2

=== Makefile ===
# -
# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#      DHIS(c)  Dynamic Host Information System Release 5.1

CC=cc

# Add -lnsl and -lsocket to LIBS in SysV systems 
#
CFLAGS=-I/usr/local/include -DQRC=1 -Wall 
LFLAGS=-L/usr/local/lib
LIBS=-lgmp

# Use these and comment the above if you wish to compile dhid without 
# secure public key authentication or don't have the GMP library 
# CFLAGS=
# LFLAGS=
# LIBS=



RM=rm -f

all:	dhid genkeys

dhid:	conf.o network.o main.o
	$(CC) $(LFLAGS) -o dhid conf.o network.o main.o $(LIBS)

genkeys: genkeys.c
	$(CC) $(CFLAGS) $(LFLAGS) -o genkeys genkeys.c $(LIBS)

main.o: dhid.h main.c
	$(CC) $(CFLAGS) -c main.c

network.o: dhid.h network.c
	$(CC) $(CFLAGS) -c network.c

conf.o: dhid.h conf.c
	$(CC) $(CFLAGS) -c conf.c

clean:
	$(RM) *.core genkeys core dhid *.o

## dhis-client 5.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -
-# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
+# Copyright (c) 1998-2005 Joao Cabral
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -23,22 +23,23 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-#      DHIS(c)  Dynamic Host Information System Release 5.1
+#      DHIS(c)  Dynamic Host Information System Release 5.3
 
 CC=cc
 
-# Add -lnsl and -lsocket to LIBS in SysV systems 
 #
+# For password mode only (no QRC), remove the -DQRC=1 statement 
+# CFLAGS=-I/usr/local/include -Wall 
 CFLAGS=-I/usr/local/include -DQRC=1 -Wall 
+
 LFLAGS=-L/usr/local/lib
+
+# For password mode only (no QRC), comment the following line and keep LIBS 
+# empty.
+# Add -lnsl and -lsocket to LIBS in SysV systems (e.g. Solaris)
+# LIBS=
+# LIBS=-lnsl -lsocket
 LIBS=-lgmp
-
-# Use these and comment the above if you wish to compile dhid without 
-# secure public key authentication or don't have the GMP library 
-# CFLAGS=
-# LFLAGS=
-# LIBS=
-
 
 
 RM=rm -f

## dhis-client 5.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -
-# Copyright (c) 1998-2005 Joao Cabral
+# Copyright (c) 1998-2008 DHIS, Dynamic Host Information System
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -23,7 +23,6 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-#      DHIS(c)  Dynamic Host Information System Release 5.3
 
 CC=cc

=== debian/changelog ===
dhis-client (5.5-5) unstable; urgency=medium

  * Include Italian debconf translation from Beatrice Torracca.
    Closes: #766862
  * Include Brazilian debconf translation from Adriano Rafael Gomes.
    Closes: 839267
  * Convert debian/rules to dh.
  * Convert to 3.0 (quilt) format.
  * Bump Standards-Version and debian/compat.

 -- Guus Sliepen <guus@debian.org>  Sat, 01 Oct 2016 17:16:47 +0200

dhis-client (5.5-4) unstable; urgency=low

  * Include Danish debconf translation. Closes: #628397 and defends against
    Christan Perrier's loquaciousness.
  * Bump Standards-Version.
  * Provide build-arch and build-indep targets in debian/rules.
  * Fix spelling error in README.Debian.
  * Let init script depend on $remote_fs.

 -- Guus Sliepen <guus@debian.org>  Fri, 17 Feb 2012 22:16:59 +0100

dhis-client (5.5-3.1) unstable; urgency=low

   * NMU.  Change dependency libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Wed, 16 Mar 2011 22:12:19 -0500

dhis-client (5.5-3) unstable; urgency=low

  * Set rport field in outgoing packets. Closes: #515292

 -- Guus Sliepen <guus@debian.org>  Wed, 10 Jun 2009 21:12:40 +0200

dhis-client (5.5-2) unstable; urgency=low

  * Fix Makefile to always enable QRC support.

 -- Guus Sliepen <guus@debian.org>  Mon, 07 Jul 2008 14:04:43 +0200

dhis-client (5.5-1) unstable; urgency=low

  * New upstream release.
  * Since the genkeys binary is not built from this source package, we can
    drop the dependency on libgmp3.

 -- Guus Sliepen <guus@debian.org>  Thu, 22 May 2008 18:16:18 +0200

dhis-client (5.3-2) unstable; urgency=low

  * Add LSB section to the init script.
  * Update Standars-Version.
  * Update debhelper compatibility level.
  * Add Portugese debconf translation. Closes: #344916
  * Remove periods from debconf template titles.

 -- Guus Sliepen <guus@debian.org>  Sat, 18 Nov 2006 13:24:36 +0100

dhis-client (5.3-1) unstable; urgency=low

  * New upstream release.
  * Include Spanish debconf translation. Closes: #336062
  * Include Swedish debconf translation. Closes: #332191

 -- Guus Sliepen <guus@debian.org>  Sat, 29 Oct 2005 12:39:57 +0200

dhis-client (5.2-5) unstable; urgency=low

  * Depend on debconf | debconf-2.0.

 -- Guus Sliepen <guus@debian.org>  Thu, 29 Sep 2005 11:06:56 +0200

dhis-client (5.2-4) unstable; urgency=low

  * Recompile needed for C++ ABI transition.
  * Include Vietnamese translation for debconf. Closes: #313513
  * Include Japanese translation for debconf. Closes: #258788
  * Include Czech translation for debconf. Closes: #315831
  * Fix broken URL in README.Debian. Closes: #294695

 -- Guus Sliepen <guus@debian.org>  Sat, 20 Aug 2005 12:20:48 +0200

dhis-client (5.2-3) unstable; urgency=low

  * Don't let restart fail if daemon is not running. Closes: #227672

 -- Guus Sliepen <guus@debian.org>  Sun, 18 Jan 2004 14:50:15 +0100

dhis-client (5.2-2) unstable; urgency=low

  * Don't prevent non-root users from running dhid. Closes: #224006
  * Stricter permissions for /etc/dhid.conf. Closes: #224102

 -- Guus Sliepen <guus@debian.org>  Tue, 16 Dec 2003 18:40:31 +0100

dhis-client (5.2-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sat, 22 Nov 2003 17:15:52 +0100

dhis-client (5.1-6) unstable; urgency=low

  * Added French debconf translation. Closes: #210336

 -- Guus Sliepen <guus@debian.org>  Fri, 12 Sep 2003 17:25:41 +0200

dhis-client (5.1-5) unstable; urgency=low

  * Switch to gettext format for debconf templates. Closes: #207860

 -- Guus Sliepen <guus@debian.org>  Mon,  1 Sep 2003 16:17:48 +0200

dhis-client (5.1-4) unstable; urgency=low

  * Versioned conflicts and replaces. Closes: #196607

 -- Guus Sliepen <guus@debian.org>  Sun, 15 Jun 2003 18:48:16 +0200

dhis-client (5.1-3) unstable; urgency=low

  * Conflicts, Replaces and Provides dhid. Closes: #150706, #152033

 -- Guus Sliepen <guus@debian.org>  Fri,  5 Jul 2002 22:12:37 +0200

dhis-client (5.1-2) unstable; urgency=low

  * Included README.Debian, debconf script and templates from Manuel Estrada Sainz's dhid
    package.
  * Added Dutch template.
  * Added Recommends: dhis-tools-genkeys.
  * Moved /etc/dhis-client/dhid.conf to /etc/dhid.conf to conform with the
    dhid package.
  * Added build-dependency on libgmp3-dev.

 -- Guus Sliepen <guus@sliepen.eu.org>  Sun, 23 Jun 2002 00:30:44 +0200

dhis-client (5.1-1) unstable; urgency=low

  * Initial Release.

 -- Guus Sliepen <guus@debian.org>  Sat, 22 Jun 2002 14:14:16 +0200

=== debian/control ===
Source: dhis-client
Section: net
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>= 7.0.0), libgmp-dev
Standards-Version: 3.9.8
Homepage: http://www.dhis.org/

Package: dhis-client
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 0.5.00) | debconf-2.0, ${misc:Depends}
Recommends: dhis-tools-genkeys
Provides: dhid
Replaces: dhid (<< 5.1-5)
Conflicts: dhid (<< 5.1-5)
Description: Dynamic Host Information System - client
 dhid is the DHIS client daemon. After setting up with a DHIS provider,
 each machine may run a dhid daemon (in background) in order to
 update its dynamic IP address within the server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install
	install -m 600 debian/dhid.conf $(CURDIR)/debian/dhis-client/etc/

override_dh_fixperms:
	dh_fixperms -X /etc/dhid.conf
